arm_bitreversal.c File Reference

| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Functions
arm_bitreversal.c File Reference

## Functions

void | arm_bitreversal_f32 (float32_t *pSrc, uint16_t fftSize, uint16_t bitRevFactor, uint16_t *pBitRevTab)
| In-place bit reversal function.
void | arm_bitreversal_q31 (q31_t *pSrc, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTable)
| In-place bit reversal function.
void | arm_bitreversal_q15 (q15_t *pSrc16, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTab)
| In-place bit reversal function.

## Function Documentation

void arm_bitreversal_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftSize,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of floating-point data type.
  [in] | fftSize | length of the FFT.
  [in] | bitRevFactor | bit reversal modifier that supports different size FFTs with the same bit reversal table.
  [in] | *pBitRevTab | points to the bit reversal table.

Returns:
  none.

Referenced by arm_cfft_radix2_f32(), arm_cfft_radix4_f32(), and arm_rfft_f32().

void arm_bitreversal_q15 | ( | q15_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | bitRevFactor | bit reversal modifier that supports different size FFTs with the same bit reversal table
  [in] | *pBitRevTab | points to bit reversal table.

Returns:
  none.

Referenced by arm_cfft_radix2_q15(), arm_cfft_radix4_q15(), and arm_rfft_q15().

void arm_bitreversal_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

Parameters:

  [in,out] | *pSrc | points to the in-place buffer of Q31 data type.
  [in] | fftLen | length of the FFT.
  [in] | bitRevFactor | bit reversal modifier that supports different size FFTs with the same bit reversal table
  [in] | *pBitRevTab | points to bit reversal table.

Returns:
  none.

Referenced by arm_cfft_radix2_q31(), arm_cfft_radix4_q31(), and arm_rfft_q31().